Skip to main content
POST
/
payments
/
items
/
{customer_type}
/
{customer_id}
/
{item_id}
/
update-quantity
Update Item Quantity
curl --request POST \
  --url https://api.stack-auth.com/api/v1/payments/items/{customer_type}/{customer_id}/{item_id}/update-quantity \
  --header 'Content-Type: application/json' \
  --data '
{
  "delta": 100,
  "expires_at": "2024-12-31T23:59:59Z",
  "description": "Monthly subscription renewal"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customer_type
string
required

The type of customer

Example:

"user"

customer_id
string
required

The ID of the customer

Example:

"user_1234567890abcdef"

item_id
string
required

The ID of the item to update

Example:

"credits"

Query Parameters

allow_negative
string
required

Whether to allow the quantity to go negative

Example:

"false"

Body

application/json
delta
number
required

The amount to change the quantity by (positive to increase, negative to decrease)

Example:

100

expires_at
string

Optional expiration date for this quantity change (ISO 8601 format)

Example:

"2024-12-31T23:59:59Z"

description
string

Optional description for this quantity change

Example:

"Monthly subscription renewal"

Response

200 - application/json

Successful response

The response is of type object.